# Class PopupResource

java.lang.Object
org.jmol.popup.PopupResource

Direct Known Subclasses:
  `JSVPopupResourceBundle, MainPopupResourceBundle, ModelKitPopupResourceBundle`

public abstract class PopupResource extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Properties`
`structure`
`protected Properties`
`words`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`PopupResource(String menuStructure, Properties menuText)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`addItems(String[][] itemPairs)`
`protected abstract void`
`buildStructure(String menuStructure)`
`abstract String`
`getMenuAsText(String title)`
`abstract String`
`getMenuName()`
`protected String`
`getStuctureAsText(String title, String[][] menuContents, String[][] structureContents)`
`protected abstract String[]`
`getWordContents()`
`protected void`
`setStructure(String slist, Translator gt)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### structure

protected Properties structure

### words

protected Properties words

## Constructor Details

### PopupResource

protected PopupResource(String menuStructure, Properties menuText)

## Method Details

### getMenuName

public abstract String getMenuName()

### getWordContents

protected abstract String[] getWordContents()

### buildStructure

protected abstract void buildStructure(String menuStructure)

### setStructure

protected void setStructure(String slist, Translator gt)

### addItems

protected void addItems(String[][] itemPairs)

### getMenuAsText

public abstract String getMenuAsText(String title)

### getStuctureAsText

protected String getStuctureAsText(String title, String[][] menuContents, String[][] structureContents)